Bug 1201180

Summary: qtwebkit package needs source update for epel7 ppc64le
Product: [Fedora] Fedora EPEL Reporter: Menanteau Guy <menantea>
Component: qtwebkitAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: jreznik, rdieter, than
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: qtwebkit-2.3.4-6.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-09 16:57:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1197165    

Description Menanteau Guy 2015-03-12 09:06:02 UTC
Source package qtwebkit-2.3.3-3 used by EPEL7 does not support ppc64le (little endian).
A newer version supporting this architecture should be used instead.

Comment 1 Fedora Update System 2015-03-12 14:50:32 UTC
qtwebkit-2.3.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/qtwebkit-2.3.4-1.el7

Comment 2 Fedora Update System 2015-03-13 15:44:39 UTC
Package qtwebkit-2.3.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qtwebkit-2.3.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1249/qtwebkit-2.3.4-1.el7
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-03-18 14:57:36 UTC
Package qtwebkit-2.3.4-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qtwebkit-2.3.4-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1249/qtwebkit-2.3.4-3.el7
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-21 13:58:27 UTC
Package qtwebkit-2.3.4-4.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qtwebkit-2.3.4-4.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1249/qtwebkit-2.3.4-4.el7
then log in and leave karma (feedback).

Comment 5 Menanteau Guy 2015-03-23 10:34:07 UTC
Build qtwebkit-2.3.4-4 on epel7 ppc64le (little endian) leads to following problem:

Patch #15 (qtwebkit-23-ppc64le.patch):
+ echo 'Patch #15 (qtwebkit-23-ppc64le.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/qtwebkit-23-ppc64le.patch
+ /usr/bin/patch -p1 -b --suffix .ppc64le --fuzz=0
patching file Source/WTF/wtf/Platform.h
Hunk #1 FAILED at 110.

It seems this patch is already present in source code and no more needed.

Comment 6 Fedora Update System 2015-03-25 19:59:29 UTC
Package qtwebkit-2.3.4-6.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qtwebkit-2.3.4-6.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1249/qtwebkit-2.3.4-6.el7
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-04-09 16:57:04 UTC
qtwebkit-2.3.4-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.